Bug 148004 - Remove a few includes from JSGlobalObject.h
Summary: Remove a few includes from JSGlobalObject.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Geoffrey Garen
URL:
Keywords:
Depends on: 148013
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 17:40 PDT by Simon Fraser (smfr)
Modified: 2015-10-05 18:59 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.06 KB, patch)
2015-08-13 17:41 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (6.32 KB, patch)
2015-10-05 16:57 PDT, Geoffrey Garen
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2015-08-13 17:40:42 PDT
Remove a few includes from JSGlobalObject.h
Comment 1 Simon Fraser (smfr) 2015-08-13 17:41:27 PDT
Created attachment 258961 [details]
Patch
Comment 2 WebKit Commit Bot 2015-08-13 19:36:45 PDT
Comment on attachment 258961 [details]
Patch

Clearing flags on attachment: 258961

Committed r188431: <http://trac.webkit.org/changeset/188431>
Comment 3 WebKit Commit Bot 2015-08-13 19:36:48 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 WebKit Commit Bot 2015-08-13 21:35:21 PDT
Re-opened since this is blocked by bug 148013
Comment 5 Simon Fraser (smfr) 2015-08-13 21:36:40 PDT
Geoff/Filip: can someone help me land this? I wasn't able to figure out the right #includes to get Debug building.
Comment 7 Geoffrey Garen 2015-08-18 15:17:05 PDT
Looks like StructureRareDataInlines.h needs to #include JSString.h.
Comment 8 Simon Fraser (smfr) 2015-10-04 17:07:04 PDT
Phil, anything useful here?
Comment 9 Geoffrey Garen 2015-10-05 16:57:41 PDT
Created attachment 262480 [details]
Patch
Comment 10 Saam Barati 2015-10-05 17:22:58 PDT
Comment on attachment 262480 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=262480&action=review

r=me

> Source/JavaScriptCore/runtime/JSGlobalObject.h:81
> +class NullGetterFunction;

Duplicate

> Source/JavaScriptCore/runtime/JSGlobalObject.h:83
> +class NullSetterFunction;

Duplicate
Comment 11 Geoffrey Garen 2015-10-05 18:59:29 PDT
Committed r190601: <http://trac.webkit.org/changeset/190601>